from dpynn.commons.models import Bag
from epynn.commons.library import read_model
import glob
import os
import numpy as np


bag = Bag()

for mpath in glob.glob(os.path.join('.', 'models', '*pickle')):

    model = read_model(mpath)

    bag.add_model(model)

X_features = model.embedding.dval.X

bag.predict(X_features)

bag.dset['Y'] = np.argmax(model.embedding.dval.Y, axis=1)

print(np.mean((bag.dset['Y'] == bag.dset['P'])))
